<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\AreasOfOccupationTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\AreasOfOccupationTable Test Case
 */
class AreasOfOccupationTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\AreasOfOccupationTable
     */
    public $AreasOfOccupation;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.areas_of_occupation'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('AreasOfOccupation') ? [] : ['className' => 'App\Model\Table\AreasOfOccupationTable'];
        $this->AreasOfOccupation = TableRegistry::get('AreasOfOccupation', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->AreasOfOccupation);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
